IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CTBOTP_CONVERTRULE')
 CREATE TABLE T_CTBOTP_CONVERTRULE (
FID VARCHAR(36) DEFAULT ' ' NOT NULL,
FBIZAPPID VARCHAR(36) DEFAULT ' ' NOT NULL,
FSOURCEENTITYNUMBER VARCHAR(36) DEFAULT ' ' NOT NULL,
FTARGETENTITYNUMBER VARCHAR(36) DEFAULT ' ' NOT NULL,
FSYSSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FTYPE CHAR(1) DEFAULT ' ' NOT NULL,
FMASTERID VARCHAR(36) DEFAULT ' ' NOT NULL,
FENABLED CHAR(1) DEFAULT ' ' NOT NULL,
FISDEFAULT CHAR(1) DEFAULT '0' NOT NULL,
FSOURCETENANT VARCHAR(50) DEFAULT ' ' NOT NULL,
FTARGETTENANT VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATEDATE DATETIME DEFAULT GETDATE() NOT NULL,
FMODIFYDATE DATETIME,
FINHERITPATH VARCHAR(300) DEFAULT ' ' NOT NULL,
FPARENTID VARCHAR(36) DEFAULT ' ' NOT NULL,
FVERSION BIGINT DEFAULT 0 NOT NULL,
FISV VARCHAR(50) DEFAULT ' ' NOT NULL,
FMODELTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FDATA NCLOB,
FISTEMPLATE CHAR(1) DEFAULT '0' NOT NULL,
FCURRENTVERID BIGINT DEFAULT 0 NOT NULL,
FSOURCEDATACENTER VARCHAR(50) DEFAULT ' ' NOT NULL,
FTARGETDATACENTER VARCHAR(50) DEFAULT ' ' NOT NULL,
FSBIZAPPID VARCHAR(36) DEFAULT ' ' NOT NULL,
FTBIZAPPID VARCHAR(36) DEFAULT ' ' NOT NULL,
FSYNCTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FSOURCEENTITYNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FTARGETENTITYNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FSBIZAPPNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FTBIZAPPNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FSOURCEACCOUNTNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FTARGETACCOUNTNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL
);
